@import "variables";

$pulse-shadow-spread-blur: 30px;
$pulse-shadow-spread-color: $gray-400;

@-webkit-keyframes pulse {
  0% {
    -webkit-box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0.9);
  }
  70% {
    -webkit-box-shadow: $pulse-shadow-spread-blur $pulse-shadow-spread-blur rgba($pulse-shadow-spread-color, 0);
  }
  100% {
    -webkit-box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0);
  }
}

@keyframes pulse {
  0% {
    -moz-box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0.9);
    box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0.9);
  }
  70% {
    -moz-box-shadow: 0 0 $pulse-shadow-spread-blur rgba($pulse-shadow-spread-color, 0);
    box-shadow: 0 0 $pulse-shadow-spread-blur $pulse-shadow-spread-blur rgba($pulse-shadow-spread-color, 0);
  }
  100% {
    -moz-box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0);
    box-shadow: 0 0 rgba($pulse-shadow-spread-color, 0);
  }
}

.search {

  &.search-bar {
    margin: 0 auto;
  }

  &.search-total {
    font-size: 14px;
    color: $gray-600;
    font-style: italic;

  }

  &.search-results {

    &::-webkit-scrollbar {
      display: none;
    }
  }

  &.playing {
    box-shadow: 0 0 15px 15px black;
    animation: pulse 1.5s infinite;
    z-index: 1;
  }

  &.search-list {
    padding: 5px 0;
  }

  &.search-list-item {
    margin: 3px 0;
    border: 0;
  }

  &.search-list-item-image {
    height: 30px;
    width: 30px;
    border-radius: 50%;
    margin-left: 5px;
  }

  &.search-list-item-popover {
    background: white;
    width: 240px;
    height: 240px;
    overflow: hidden;
    display: flex;
  }

  &.search-list-item-popover-image {
    position: absolute;
    opacity: 0.2;
    width: 100%;
    height: auto;
  }

  &.search-list-item-popover-content {
    width: 100%;
    height: 100%;
  }

  &.search-list-item-popover-text {
    font-size: 12px;
    //white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: black;
    background: rgba(white, 1);
  }

  &.search-list-item-title {
    font-weight: 500;
    line-height: 40px;
  }

  &.search-list-item-button {
    margin: 0 5px;
    color: gray;

    &:hover {
      color: white;
    }
  }

  &.search-grid {
    box-sizing: border-box;
    display: flex;
    max-height: min-content;
    flex-wrap: wrap;
    margin: 0 -15px;
  }

  &.search-grid-item {
    padding: 5px;

    flex-basis: 25%;
    padding-bottom: 25%;

    @include media-breakpoint-down(sm) {
      flex-basis: 50%;
      padding-bottom: 50%;
    }

    border: 0;
    position: relative;
    overflow: hidden;
  }

  &.search-grid-item-image {
    position: absolute;
    width: 100%;
  }

  &.search-grid-item-overlay {
    position: absolute;
    display: flex;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    padding: 5px;
    -webkit-box-shadow: inset 0 0 15px 15px white;
    -moz-box-shadow: inset 0 0 15px 15px white;
    box-shadow: inset 0 0 15px 15px white;

    &:hover .search-grid-item-overlay-content-hovered {
      display: flex;
      flex: 1 1 auto;
    }
  }

  &.search-grid-item-overlay-content-hovered {
    display: none;
    width: 100%;
    top: 0;
    left: 0;
    background-color: rgba(255, 255, 255, 0.8);
  }

  &.search-grid-item-overlay-content {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    height: 100%;
    width: 100%;
  }

  &.search-grid-item-overlay-panel {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    flex: 0 1 auto;
    padding: 5px 15px;
    background: white;
    border: gray 1px solid;

    &:before {
      content: ' ';
      position: absolute;
      width: 0;
      height: 0;
      left: 0;
      top: 100%;

      border-width: 3px 6px;
      border-style: solid;

      border-color: black black transparent transparent;
    }

    &:after {
      content: ' ';
      position: absolute;
      width: 0;
      height: 0;
      left: calc(100% - 11px);
      top: 100%;

      border-width: 3px 6px;
      border-style: solid;

      border-color: black transparent transparent black;
    }

    margin-bottom: 10px;
  }

  &.play .search-grid-item-overlay-panel {
    background-color: $gray-400;
  }

  &.search-grid-item-text {
    font-size: 12px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: black;
    background: transparent;
  }

  &.search-grid-item-buttons {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
  }

  &.search-grid-item-button {
    display: flex;
    padding: 10%;
    margin: 0 5px;

    &.disabled {
      pointer-events: auto;
    }
  }
}

.local-audio-player-wrapper {
  position: fixed;
  bottom: 0;
  width: 100%;
  display: flex;
  align-content: center;
  justify-content: center;
}

.local-audio-player {
  width: 100%;
}

.preview-player-close-button {
  position: absolute;
  right: 0;
  bottom: 30px;
}

.track-results-pagination {
  display: flex;
  width: 100%;
  overflow: hidden;
  justify-content: center;
  margin-bottom: 30px;

  .track-results-pagination-none {
    margin-left: -1px;
  }

  nav {
    max-width: 100%;
  }

  .pagination {
    margin-bottom: 0;
  }

}

.track-results-pagination-mobile-popover {
  background-color: $gray-400;
  max-width: 125px;

  .btn {
    border-radius: 0;
  }

  .form-control {
    border-color: $gray-200;
    border: 0;
    border-radius: 0;
    text-align: center;
  }
}
